DevHeads.net

CentOS 8 and UPS Autoshutdown

What is the recommended method for getting UPS monitoring and
autoshutdown in CentOS 8? EPEL has nut, but I get errors on missing
dependencies when trying to install it. I can add details if needed or
helpful. I have looked for apcupsd, but have not found a package for
CentOS 8. Suggestions?

Cheers,
Ian

Comments

Re: CentOS 8 and UPS Autoshutdown

By Stephen John Smoogen at 10/06/2019 - 11:48

On Sun, 6 Oct 2019 at 11:47, Ian Prowell < ... at gmail dot com> wrote:
Can you elaborate on what the missing dependencies are?

Re: CentOS 8 and UPS Autoshutdown

By Stephen John Smoogen at 10/06/2019 - 11:53

On Sun, 6 Oct 2019 at 11:48, Stephen John Smoogen < ... at gmail dot com> wrote:
And because I realized I shouldn't just ask for what it is but see what it is...

Extra Packages for Enterprise Linux 8 - x86_64

594 kB/s | 2.0 MB 00:03
Last metadata expiration check: 0:00:01 ago on 2019-10-06T11:52:22 EDT.
Error:
Problem: package nut-2.7.4-24.el8.x86_64 requires
libupsclient.so.4()(64bit), but none of the providers can be installed
- conflicting requests
- nothing provides pygtk2-libglade needed by nut-client-2.7.4-24.el8.x86_64
(try to add '--skip-broken' to skip uninstallable packages or
'--nobest' to use not only best candidate packages)

@!$$%$#@# will go see what needs to be done to fix.